package com.hzu.labbooking.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.hzu.labbooking.domain.Office;

/**
 * 教师信息Mapper接口
 *
 * @author yezihao
 * @date 2021-04-29
 */
public interface OfficeMapper extends BaseMapper<Office> {

    /**
     * 查询教师信息
     *
     * @param id 教师信息ID
     * @return 教师信息
     */
    public Office selectOfficeById(Long id);

    /**
     * 新增教师信息
     *
     * @param office 教师信息
     * @return 结果
     */
    public int insertOffice(Office office);

    /**
     * 修改教师信息
     *
     * @param office 教师信息
     * @return 结果
     */
    public int updateOffice(Office office);

    /**
     * 批量删除教师信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteOfficeByIds(Long[] ids);

}
